#https://packaging.python.org/guides/distributing-packages-using-setuptools/

from setuptools import setup, find_packages
import pathlib

#here = pathlib.Path(__file__).parent.resolve()

# Get the long description from the README file
#long_description = (here / 'README.rst').read_text(encoding='utf-8')
with open("README.rst", "r", encoding="utf-8") as rmf:
    long_description = rmf.read()

setup(name='easypipe',
      version='1.4.5',
      description='Pipeline to make X-ray crystallographic screening easy',
      long_description=long_description,
      long_description_content_type='text/x-rst',
      url='http://bioserv.cbs.cnrs.fr/SITE/easYPipe/',
      download_url = 'http://bioserv.cbs.cnrs.fr/SITE/easYPipe/download.html',
      author='Muriel Gelin',
      author_email='muriel.gelin@cbs.cnrs.fr',
      license='MIT',
      python_requires='>=3.6',
      py_modules = ['config'],
      packages=find_packages(),
      scripts=['easypipe.py', 'easyget.py'],
      install_requires=['paramiko',],
      include_package_data=True,          # pour le MANIFEST.in
      zip_safe=False)
